btb-class |

# SortedList(TItem) Members

SortedList(TItem) overview

#### Public Instance Constructors

SortedList(TItem) | Overloaded. Initializes a new instance of the SortedList(TItem) class.

#### Public Instance Properties

Count | Gets the number of elements contained in the ICollection`1.
IsReadOnly | Gets a value indicating whether the ICollection`1 is read-only.
Item | get or set item at the specified index in the list

#### Public Instance Methods

Add | Add the specified item to collection.
AddRange | Add specified items to the collection.
Clear | Removes all items from the ICollection`1.
Contains | Determines whether the ICollection`1 contains a specific value.
CopyTo | Copies the elements of the ICollection`1 to an Array, starting at a particular Array index.
EqualsContent |
GetEnumerator | Returns an enumerator that iterates through the collection.
GetRange | Overloaded. Get the specified range of items from the list.
IndexOf | Determines the index of a specific item in the IList`1.
Insert | Inserts an item to the IList`1 at the specified index.
InsertRange | Insert specified items to the specified position in the list.
Remove | Removes the first occurrence of a specific object from the ICollection`1.
RemoveAt | Removes the IList`1 item at the specified index.
RemoveRange | Overloaded. Remove items at the specified positions from the list.
Sort | Overloaded. Sort this list.
SortRange | Overloaded. Sort items in the list.
TryGetItem | Try to get item at the specified index.

#### Protected Instance Constructors

SortedList(TItem) | Overloaded. Initializes a new instance of the SortedList(TItem) class.

#### See Also

SortedList<TItem> Class | ComponentOwl.BetterThumbnailBrowser.Collections Namespace